Bug 104784 - Anaconda refuses to give focus to textfields after 'network configuration'
Anaconda refuses to give focus to textfields after 'network configuration'
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-09-21 19:36 EDT by David Tonhofer
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-09-24 16:54:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Tonhofer 2003-09-21 19:36:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.0.2)
Gecko/20030208 Netscape/7.02

Description of problem:

I install RH9.0 in graphical mode. I proceed up to 
'network configuration'. In that screen, you can configure the
Network devices. I set them to 'activate on boot' and set the 
IP address using the dialog as I don't have DHCP.

At that point, I should enter the 'hostname', the 'gateway' etc.

However, this is impossible as those textfields do not get the keyboard
focus! No cursor shows up, you can click all/anywhere you want.

Pushing 'next' then gives you warnings that you forgot to set the
'hostname', the gateway etc...

I proceed to the point where I have to enter the root password.

The same problem occurs on the 'enter root password' dialog. Going 
back to the 'network configuration', I can still edit the interface
IP addresses in the dialog box, but 'no go' for the other text fields
on that page.

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:
This is the first time that this happens to me.

Actual Results:  Textboxes were no longer 'focusable' except the ones of the dialog.

Expected Results:  Textboxes should be 'focusable'

Additional info:

Workaround: I right-clicked on the hostname text field and
selected Insert Unicode control character Left to right mark.

Plink! The cursor shows up and I can now edit as expected.

There is possibly a problem with the initialization of the screen?
Unfortunately, I could not test other widgets once the error was
'worked around'
Comment 1 David Tonhofer 2003-09-22 08:12:01 EDT
This seems to be a duplicate of bug 71834, reported for RH 8.0, which is
'closed' This bug is undead! 

Comment 2 Michael Fulbright 2003-09-24 16:54:16 EDT
This has been fixed in our development tree. The work around you discovered will

Note You need to log in before you can comment on or make changes to this bug.